# Retrieve tax statuses for a link

Retrieve tax status information for a specific fiscal link.

Endpoint: POST /api/cl/tax-status/
Version: 1.223.0
Security: basicAuth

## Query parameters:

  - `omit` (string)
    Omit certain fields from being returned in the response. For more information, see our Filtering responses DevPortal article.

  - `fields` (string)
    Return only the specified fields in the response. For more information, see our Filtering responses DevPortal article.

## Request fields (application/json):

  - `link` (string, required)
    The link.id you want to retrieve information for.
    Example: "c81a1dea-6dd6-4999-8b9f-541ee8197058"

  - `attach_pdf` (boolean)
    When set to true, you will receive the PDF in binary format in the response.
    Example: true

  - `save_data` (boolean)
    Indicates whether or not to persist the data in Belvo. By default, this is set to true and we return a 201 Created response.

When set to false, the data won't be persisted and we return a 200 OK response.
    Example: true

## Response 200 fields (application/json):

  - `id` (string)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `link` (string,null)
    The link.id the data belongs to.
    Example: "30cb4806-6e00-48a4-91c9-ca55968576c8"

  - `collected_at` (string)
    The ISO-8601 timestamp when the data point was collected.
    Example: "2022-02-09T08:45:50.406032Z"

  - `created_at` (string)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `entity_details` (object)
    Details regarding the fiscal entity's (key dates and identification information).

  - `entity_details.incorporation_date` (string, required)
    The date that the fiscal entity was incorporated, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `entity_details.start_date` (string, required)
    The date that the fiscal entity started operating, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `entity_details.end_date` (string,null, required)
    The date that the fiscal entity ceased operations, in YYYY-MM-DD format. If the entity is still operating, this field will return null

  - `entity_details.document_id_type` (string, required)
    The type of document ID that the fiscal entity has. For Chile, this will be the RUT.
    Example: "RUT"

  - `entity_details.document_id_number` (string, required)
    The document ID number of the fiscal entity.
    Example: "197476427-K"

  - `entity_details.name` (string, required)
    The name of the fiscal entity.
    Example: "Empresa de Prueba"

  - `addresses` (array)
    An array of addresses for the fiscal entity.

  - `addresses.type` (string, required)
    The type of address. Can be either:

  - PRIMARY (domicilio)
  - SECONDARY (sucursal)
  - MAILING_ADDRESS (DOM. POSTAL)
  - NOTIFICATION_ADDRESS (DOM. URBANO_VALIDO_NOTIFICACIONES)
    Enum: "PRIMARY", "SECONDARY", "MAILING_ADDRESS", "NOTIFICATION_ADDRESS"

  - `addresses.date` (string, required)
    The date that the address was added to the fiscal entity's records, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `addresses.address` (string, required)
    The address of the fiscal entity.
    Example: "Calle Falsa 123"

  - `emails` (array)
    An array of email addresses for the fiscal entity.

  - `emails.type` (string, required)
    The type of email. Can be either:

- CONTACT (Correo electrónico de contacto)
- NOTIFICATION (Correo electrónico para notificaciones)
- OTHER.
    Enum: "CONTACT", "NOTIFICATION", "OTHER"

  - `emails.email` (string, required)
    The email address of the fiscal entity.
    Example: "mi-email@empresa.cl"

  - `phone_numbers` (array)
    An array of phone numbers for the fiscal entity.

  - `phone_numbers.type` (string,null, required)
    The type of phone number. Can be either:
  
  - LANDLINE
  - MOBILE
  - OTHER
    Enum: "LANDLINE", "MOBILE", "OTHER", "null"

  - `phone_numbers.number` (string, required)
    The phone number of the fiscal entity.
    Example: 123456789

  - `economic_activities` (array)
    An array of economic activities for the fiscal entity.

  - `economic_activities.type` (string, required)
    The overall economic activity type, according to Servicio de Impuestos Internos (SII).
    Example: "ASESORIA EN INGENIERIA"

  - `economic_activities.activity` (string, required)
    The specific economic activity, according to Servicio de Impuestos Internos (SII).
    Example: "ACTIVIDADES DE CONSULTORIA DE GESTION"

  - `economic_activities.code` (string, required)
    The economic activity code, according to Servicio de Impuestos Internos (SII).
    Example: "702000"

  - `economic_activities.tax_category` (integer, required)
    The tax category of the economic activity, according to Servicio de Impuestos Internos (SII).
    Example: 1

  - `economic_activities.vat_affected` (boolean, required)
    Indicates whether the economic activity is VAT-affected.
    Example: true

  - `economic_activities.start_date` (string, required)
    The date that the fiscal entity started this economic activity, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `legal_representative` (array)
    An array of legal representatives for the fiscal entity.

  - `legal_representative.is_current` (boolean, required)
    Indicates whether the legal representative is the current legal representative of the fiscal entity.
    Example: true

  - `legal_representative.name` (string, required)
    The name of the legal representative.
    Example: "Juan Perez"

  - `legal_representative.document_id_type` (string, required)
    The type of document ID of the legal representative. For Chile, this will be always set to RUT.
    Enum: "RUT"

  - `legal_representative.document_id_number` (string, required)
    The document ID number of the legal representative. For Chile, this will be the RUT number.
    Example: "12345678-9"

  - `legal_representative.start_date` (string, required)
    The date that the legal representative started representing the fiscal entity, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `legal_representative.end_date` (string,null)
    The date that the legal representative ceased representing the fiscal entity, in YYYY-MM-DD format. If the legal representative is still representing the fiscal entity, this field will return null.

  - `equity_holders` (array)
    An array of equity holders for the fiscal entity.

  - `equity_holders.is_current` (boolean, required)
    Indicates whether the equity holder is currently active.
    Example: true

  - `equity_holders.name` (string, required)
    The name of the equity holder.
    Example: "Juan Perez"

  - `equity_holders.document_id_type` (string, required)
    The type of document ID of the equity holder. For Chile, this will be always set to RUT.
    Enum: same as `legal_representative.document_id_type` (1 values)

  - `equity_holders.document_id_number` (string, required)
    The document ID number of the equity holder. For Chile, this will be the RUT number.
    Example: "12345678-9"

  - `equity_holders.inactive` (boolean, required)
    Indicates whether the equity holder is currently inactive.

  - `equity_holders.start_date` (string, required)
    The date that the equity holder started holding equity in the fiscal entity, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `equity_holders.end_date` (string,null)
    The date that the equity holder ceased holding equity in the fiscal entity, in YYYY-MM-DD format. If the equity holder is still holding equity in the fiscal entity, this field will return null.

  - `equity_holders.capital_contributed` (number, required)
    The amount of capital contributed by the equity holder.
    Example: 1000000

  - `equity_holders.capital_contribution_outstanding` (number, required)
    The amount of capital contribution outstanding by the equity holder.
    Example: 3750

  - `equity_holders.ownership_share` (number, required)
    The percentage of ownership share of the equity holder.
    Example: 25.25

  - `equity_holders.profit_share` (number, required)
    The percentage of profit share of the equity holder.
    Example: 31.25

  - `company_partnership_stakes` (array)
    An array of company partnership stakes for the fiscal entity.

  - `company_partnership_stakes.name` (string, required)
    The name of the entity that this fiscal entity.
    Example: "Empresa de Prueba"

  - `company_partnership_stakes.document_id_type` (string, required)
    The type of document ID of the business. For Chile, this will be always set to RUT.
    Enum: same as `legal_representative.document_id_type` (1 values)

  - `company_partnership_stakes.document_id_number` (string, required)
    The document ID number of the business. For Chile, this will be the RUT number.
    Example: "12345678-9"

  - `company_partnership_stakes.inactive` (boolean, required)
    Indicates whether the business is currently active.

  - `company_partnership_stakes.start_date` (string, required)
    The date that the company started holding equity in the fiscal entity, in YYYY-MM-DD format.
    Example: "24-09-2010"

  - `company_partnership_stakes.end_date` (string,null)
    The date that the company holder ceased holding equity in the fiscal entity, in YYYY-MM-DD format. If the equity holder is still holding equity in the fiscal entity, this field will return null.

  - `company_partnership_stakes.capital_contributed` (number, required)
    The amount of capital contributed by the company.
    Example: 1000000.02

  - `company_partnership_stakes.capital_contribution_outstanding` (number, required)
    The amount of capital contribution outstanding by the company.
    Example: 3750.02

  - `company_partnership_stakes.ownership_share` (number, required)
    The percentage of ownership share of the company.
    Example: 25.25

  - `company_partnership_stakes.profit_share` (number, required)
    The percentage of profit share of the company.
    Example: 31.25

  - `regimes` (array,null)
    A list of tax regimes for the fiscal entity.

  - `regimes.type` (string, required)
    The tax regime type, as defined by the Servicio de Impuestos Internos (SII).
    Example: "MICRO EMPRESA"

  - `regimes.start_date` (string, required)
    The date that the fiscal entity started this tax regime, in YYYY-MM-DD format.
    Example: "2023-01-01"

  - `authorized_tax_documents` (array,null)
    A list of authorized tax documents for the fiscal entity.

  - `authorized_tax_documents.type` (string, required)
    The type of authorized tax document, as defined by the Servicio de Impuestos Internos (SII).
    Example: "CONTABILIDAD EN HOJAS SUELTAS CON NRO.UN"

  - `authorized_tax_documents.document_limit` (integer, required)
    The maximum number of documents that can be issued under this authorization.
    Example: 2000

  - `authorized_tax_documents.authorization_date` (string, required)
    The date that the tax document and limit were established, in YYYY-MM-DD format.
    Example: "2010-18-11"

  - `property_tax_liabilities` (array,null)
    A list of tax liabilities of a property that the entity is associated with.

  - `property_tax_liabilities.property_id` (string, required)
    The unique identifier of the property, according to the Servicio de Impuestos Internos (SII).
    Example: "12345"

  - `property_tax_liabilities.district` (string, required)
    The district where the property is located.
    Example: "NUNAO"

  - `property_tax_liabilities.address` (string, required)
    The address of the property.
    Example: "123 Example Street"

  - `property_tax_liabilities.type` (string, required)
    The type of property associated with the tax liability.
    Example: "HABITACIONAL"

  - `property_tax_liabilities.overdue_tax_payments` (array, required)
    A list of overdue tax payments for the property.

  - `property_tax_liabilities.overdue_tax_payments.year` (integer, required)
    The year for which the tax payment is overdue.
    Example: 2023

  - `property_tax_liabilities.overdue_tax_payments.installment` (integer, required)
    The instalment number of the overdue tax payment.
    Example: 1

  - `property_tax_liabilities.overdue_tax_payments.due_date` (string, required)
    The due date of the overdue tax payment, in YYYY-MM-DD format.
    Example: "2023-04-30"

  - `property_tax_liabilities.overdue_tax_payments.amount_due` (number, required)
    The amount due for the overdue tax payment.
    Example: 19.864

  - `property_tax_liabilities.scheduled_tax_payments` (array, required)
    A list of scheduled tax payments for the property.

  - `property_tax_liabilities.scheduled_tax_payments.year` (integer, required)
    The year for which the tax payment is scheduled.
    Example: 2023

  - `property_tax_liabilities.scheduled_tax_payments.installment` (integer, required)
    The instalment number of the scheduled tax payment.
    Example: 1

  - `property_tax_liabilities.scheduled_tax_payments.due_date` (string, required)
    The due date of the scheduled tax payment, in YYYY-MM-DD format.
    Example: "2023-04-30"

  - `property_tax_liabilities.scheduled_tax_payments.amount_due` (number, required)
    The amount due for the scheduled tax payment.
    Example: 19.864

  - `fiscal_office` (object)
    Details regarding fiscal office where the fiscal entity is registered.

  - `fiscal_office.name` (string, required)
    The name of the fiscal office where the fiscal entity is registered.
    Example: "VIÑA DEL MAR"

  - `fiscal_office.address` (string, required)
    The address of the fiscal office where the fiscal entity is registered.
    Example: "ARLEGUI 525, VIÑA DEL MAR"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


